> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /inhersight/companies/search

> Search or browse InHerSight (inhersight.com) employer profiles by keyword, industry and size

**Price:** 1 credit per 24 results



## OpenAPI

````yaml /openapi/reviews-software-employer.json post /api/inhersight/companies/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/inhersight/companies/search:
    post:
      tags:
        - /inhersight
      summary: /inhersight/companies/search
      description: >-
        Search or browse InHerSight (inhersight.com) employer profiles by
        keyword, industry and size


        **Price:** 1 credit per 24 results
      operationId: __api_inhersight_companies_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/InhersightCompaniesSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/InhersightSearchCompany'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    InhersightCompaniesSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        query:
          type: string
          default: ''
        industry:
          anyOf:
            - $ref: '#/components/schemas/InhersightIndustry'
            - type: 'null'
        size:
          anyOf:
            - $ref: '#/components/schemas/InhersightCompanySize'
            - type: 'null'
        order_by:
          $ref: '#/components/schemas/InhersightCompanyOrder'
          default: recommended
        count:
          type: integer
          minimum: 1
      type: object
      required:
        - count
    InhersightSearchCompany:
      properties:
        '@type':
          type: string
          default: InhersightSearchCompany
        id:
          type: integer
        alias:
          type: string
        name:
          type: string
        url:
          type: string
        image:
          anyOf:
            - type: string
            - type: 'null'
        composite_score:
          anyOf:
            - type: number
            - type: 'null'
        industry:
          anyOf:
            - type: string
            - type: 'null'
        industry_group:
          anyOf:
            - type: string
            - type: 'null'
        headquarters:
          anyOf:
            - type: string
            - type: 'null'
        employee_range:
          anyOf:
            - type: string
            - type: 'null'
        size:
          anyOf:
            - type: string
            - type: 'null'
        review_count:
          anyOf:
            - type: integer
            - type: 'null'
        rating_count:
          anyOf:
            - type: integer
            - type: 'null'
        job_count:
          anyOf:
            - type: integer
            - type: 'null'
        is_top_company:
          anyOf:
            - type: boolean
            - type: 'null'
      type: object
      required:
        - id
        - alias
        - name
        - url
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    InhersightIndustry:
      type: string
      enum:
        - agriculture
        - art
        - consumer_goods
        - construction
        - corporate
        - education
        - finance
        - government
        - health
        - legal
        - manufacturing
        - media
        - organization
        - recreation
        - service
        - technology
        - transportation
    InhersightCompanySize:
      type: string
      enum:
        - small
        - medium
        - large
    InhersightCompanyOrder:
      type: string
      enum:
        - recommended
        - top_rated
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````